EDIT - bug #7723

PhycoBank unpublished data must not be visible in Portal
09/04/2018 06:03 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.4

Severity: normal Found in Version:

Description

Unpublished data visible in Portal, not in scientific name search, but as list under a reference including published names.
Also: The reference page currently shows rejected and other unpublished Registrations, this must not happen!

Example:
http://test.e-taxonomy.eu/cdmserver/phycobank_production/app/registration#!workingset/305e2983-f7¢c2-4d62-9418-1706edb895¢c2

Unpublished Scientific name: "lacusbaicalensis", (genus name not filled, editorial notice)

Problem: Reference with published names already in PhycoBank pulished.
Name search for string "lacusbaicalensis" not possible (=correct, http://phycobank.org/100301)

Name search for "Staurosirella sigara” ist possible (=correct, http:/phycobank.org/100296), Reference for both names is: Kulikovskiy,
M. & Lange-Bertalot, H. - in Kulikovskiy, M., Lange-Bertalot, H. & Kuznetsova, . V., Lake Baikal: Hotspot of endemic diatoms
Il.lconographia Diatomologica, 26: [1]-656. 2015

http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/reference/305e2983-f7¢c2-4d62-9418-1706edb895c2

Under this reference all names (published AND unpublished) are listed (unpublished see arrows in screen shot).

How big is the problem? At the moment only References which are published and in the process of post publication registration are
affected.
20.7.1965, A Skabitschewsky. Holotype, (IBIW 15646m).; Isotype, (15646a). hitpfohycobank.org/100284

+ Requestnew password
Pseudostaurosira triseriata Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy Island, Lake Baikal,
20.7.1865, A Skabitschewsky. Holotype, (IBIW 15655m).; Isotype, (15655a). hitpfphycobank org/100285

Pseudostaurosira ushkaniensis Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy Island, Lake Baikal,
20.7.1865, A. Skabitschewsky. Holotype, (IBIW 15655m).; Isotype, (15655a). hitp/fohycobank.org/100286

Staurosirella baicalensis Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy 1sland, Lake Baikal ,
20.7.1965, A Skabitschewsky. Holotype, (IBIW 15646m).; Isotype, (15646a). hitp:fphycobank org/100287

Staurosirella conus Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy Island, Lake Baikal , 20.7. 1965, A
Skabitschewsky. Holotype, (IBIW 15646m).; |sotype, (15646a). httpuiphycobank.org/100288

Staurosirella lapponicoides Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy 1sland, Lake Baikal,
20.7.1965, A Skabitschewsky. Holotype, (IBIW 15651m).; Isotype, (15651a). hitp:/flphycobank org/100289

Staurosirella nanomartyi Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy Island, Lake Baikal,
20.7.1965, A Skabitschewsky Holotype, (IBIW 15646m).; Isotype, (15646a). hitp/phycobank org/ 100280

Staurosirella longimartyi Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy 1sland, Lake Baikal,
20.7.1965, A Skabitschewsky. Holotype, (IBIW 15646m).; Isotype, (15646a). hitp/fohycobank.org/100292

Staurosirella opulenta Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy Island, Lake Baikal, 20.7. 1965,
A Skabitschewsky. Holotype, (IBIW 15650m).; Isotype, (15650a). hitpiphycobank orgM00293

Staurosirella permartyi Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Lishkaniy Island, Lake Baikal,
20.7.1865, A. Skabitschewsky. Holotype, (IBIW 15651m).; Isotype, (15651a). hitp/fohycobank.org/100295

Staurosirella sigara Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy Island, Lake Baikal, 20.7.1965, A
Skabitschewsky. Holotype, (IBIW 15645m).; Isotype, (15645a). hitp:/iphycobank.orgM100296

Staurosirella skabitschewskyi Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy Island, Lake Baikal
20.7.1965, A. Skabitschewsky. Holotype, (IBIW 15645m).; Isotype, (156445a). httpuiphycobank.org/100297

Staurosirella spectabilis Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy Island, Lake Baikal,
20.7.1965, A Skabitschewsky. Holotype, (IBIW 15650m).; Isotype, (15650a). hitp:/fphycobank org/100299

Staurosirella submartyi Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy Island, Lake Baikal ,
20.7.1965, A Skabitschewsky Holotype, (IBIW 15655m).; Isotype, (15655a). hitp/phycobank org/ 100300

cusbaicalensis Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy Island, Lake Baikal , 20.7.1965, A.
Skabitschewsky. Holotype, (IBIW 15645(5)m).; Isotype, (15645(5)a). hitp./phycobank.ora 100301

-’//ﬁ amoenoides Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy Island, Lake Baikal , 20.7.1965, A.

Skabitschewsky. Holotype, (IBIW 15645m).; Isotype, (15645a). hitp:/phycobank orgM100302

appendiculata Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy Island, Lake Baikal | 20.7.1965, A

/// \Skabitschewslw. Holotype, (IBIW 15645m).; Isotype, (156453). http./iphycobank.ora100303

baicaloblusa Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy Island, Lake Baikal , 20.7.1965, A
/-"' ] Skabitschewsky. Holotype, (IBIW 15645m).; Isotype, (15645a). hitp:/fiphycobank.orgM100306

= J baicaloclevei Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy Island, Lake Baikal | A Skabitschewsky.
Holotype, (IBIW 15645m).; |sotype, (15645a). hitpu/phycobank.org/ 100308

Karayevia biundulata Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy 1sland, Lake Baikal , 20.7.1965,
A Skabitschewsky. Holotype, (IBIW 15645m). hitp:\phycobank orgMM00312

Associated revisions

Revision ae472365 - 09/20/2018 06:10 PM - Andreas Kohlbecker

ref #7723 supressing un-published registrations in the reference page

Revision 621f2ae0 - 09/20/2018 06:11 PM - Andreas Kohlbecker

ref #7723 supressing un-published registrations in the reference page

Revision b9188a94 - 09/21/2018 11:14 AM - Andreas Kohlbecker

ref #7723 adding missing permission check to RegistrationServicelmpl to supress unpublished registrations

History

#1 - 09/04/2018 06:07 PM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.4

#2 - 09/05/2018 11:55 AM - Andreas Kohlbecker

- Description updated

04/20/2024 2/3




#3 - 09/21/2018 11:42 AM - Andreas Kohlbecker
- Status changed from New to Resolved
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 0 to 50

Issue fixed, only PUBLISHED registrations are visible now, please review.

#4 - 10/23/2018 11:37 AM - Wolf-Henning Kusber
- Status changed from Resolved to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Problem fixed, published records visible, unpublished records not visible.

#5 - 10/25/2018 11:11 AM - Andreas Kohlbecker
- Subject changed from PhycoBank unpublished data visible in Portal to PhycoBank unpublished data must not be visible in Portal

Files

picture319-1.png 97.9 KB 09/04/2018 Wolf-Henning Kusber
